#include <fem.hpp>
#include <python_ngstd.hpp>
#include "ElementWeightCF.hpp"

namespace ngfem
{

  // Export cf to Python
  void ExportElementWeightCF(py::module m)
  {
    py::class_<MyElementWeightCF, shared_ptr<MyElementWeightCF>, CoefficientFunction>
      (m, "ElementWeightCF", "CoefficientFunction that returns element weight value.")
      .def(py::init<>())
      ;
  }

  // Register cf for pickling/archiving
  // Create static object with template parameter function and base class.
  static RegisterClassForArchive<MyElementWeightCF, CoefficientFunction> regmycf;
}
